Subject: [mpls] Review request : draft-bryant-mpls-oam-udp-return-00

From: Stewart Bryant <[email-masked]>
Date: Mon, 07 Apr 2014 16:04:27 +0100

MPLSers

I have just uploaded draft-bryant-mpls-oam-udp-return-00

This is a short draft that explains how to send an RFC6374
MPLS(-TP) response back to the querying node over a UDP/IP
path using a dynamic UDP port.

The solution in a nutshell is to allocate a new non-mandatory
TLV from the MPLS Loss/ Delay Measurement TLV Object Registry
and use this four byte TLV to carry the UDP port that the
Querying node will listen on. There already exists a definition
for an address TLV. Thus with this new TLV the Responder will
know how to encapsulate the response to the Querying node.

The Response message is carried directly in UDP without the
GACH since the message type information is known from the
UDP port.

Apart from the boiler plate and the various mandatory sections
the rest of the document describes the straightforward
procedures needed to use the information in the query to
encapsulate the response.

I notice in writing this summary that I did not specify the
length in the TLV. This is defined in RFC6374 and so is
not strictly necessary, but in the next version I will note that
it is 2.

I would request a review of the document, and hope that
we can consider it for WG adoption without needing to
first present it at an IETF.

- Stewart

---

From: Sam Aldrin <[email-masked]>
Date: Mon, 7 Apr 2014 20:41:10 -0700

Hi Stewart,

Didn't read the document to its entirety, but from what I gather, scope of the draft is for Performance metric measurement only.
Title indicates mpls-oam, which I do not believe is right and is misleading.

If you think the scope includes all of MPLS OAM, that including LSP ping etc, I do not find how it is applicable in conjunction with RFC4379, where return path via UDP is pretty much by default. I do not see any text related to that, either.

-sam
On Apr 7, 2014, at 8:04 AM, Stewart Bryant <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: Eric Gray <[email-masked]>
Date: Tue, 8 Apr 2014 09:07:36 +0000

Sam,

	I don't understand this comment.

	The title of the draft is:

    "MPLS Performance Measurement UDP Return Path"

	Are you referring to the draft name?  If so, PM is part of OAM (some might
argue that it is a big part).

	However, perhaps - if the draft is accepted as a WG draft - the name might
be changed to "draft-ietf-mpls-pm-udp-return-??."

	Given the fact that the title itself is pretty unambiguous, I suspect that there
is little point in changing the name of the draft at this point...

--
Eric

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Sam Aldrin
Sent: Monday, April 07, 2014 11:41 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [mpls] Review request : draft-bryant-mpls-oam-udp-return-00

Hi Stewart,

-sam

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 08 Apr 2014 12:21:26 +0100

Yes, the interest is in  RFC6373 and I can clarify that.
Indeed the TLV is only defines for RFC6373.
It might be appropriate to s/OAM/RFC6373/
in a few places, although I would like to keep the
draft name constant whilst this phase of the discussion
goes on, and change if/when it becomes a WG draft.

Stewart

On 08/04/2014 04:41, Sam Aldrin wrote:
> .

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 08 Apr 2014 12:22:50 +0100

That would work for us.

Stewart

---

From: Sam Aldrin <[email-masked]>
Date: Tue, 8 Apr 2014 06:11:19 -0700

Eric,

As I said in my earlier mail, tbd draft name says 'draft-mpls-oam-...' But the scope is only PM. Hence the question was, whether it covers beyond PM, as we all know OAM covers more than PM. 

Sam
Sent from my iPhone

> On Apr 8, 2014, at 2:07 AM, Eric Gray <[email-masked]> wrote:
> 
> Sam,
>

---

From: Sam Aldrin <[email-masked]>
Date: Tue, 8 Apr 2014 06:12:21 -0700

That is fine. Thanks for the clarification.

Sam

Sent from my iPhone

> On Apr 8, 2014, at 4:21 AM, Stewart Bryant <[email-masked]> wrote:
> 
>